org.mariadb.jdbc.internal.mysql

## Class MySQLValueObject

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.MySQLValueObject

All Implemented Interfaces:
  ValueObject

    public class MySQLValueObject
    extends Object
    implements ValueObject

Contains the raw value returned from the server Is immutable

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.common.ValueObject

`TINYINT1_IS_BIT, YEAR_IS_DATE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`MySQLValueObject(byte[] rawBytes, MySQLColumnInformation columnInfo, boolean isBinaryEncoded, Options options)`
`MySQLValueObject(byte[] rawBytes, MySQLColumnInformation columnInfo, Options options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `getBigDecimal()`
`BigInteger` `getBigInteger()`
`InputStream` `getBinaryInputStream()`
`Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`Clob` `getClob()`
`Date` `getDate(Calendar cal)`
`int` `getDisplayLength()`
`double` `getDouble()`
`float` `getFloat()`
`InputStream` `getInputStream()`
`int` `getInt()`
`long` `getLong()`
`Object` `getObject(int datatypeMappingFlags, Calendar cal)`
`short` `getShort()`
`String` `getString()`
`String` `getString(Calendar cal)`
`Time` `getTime(Calendar cal)`
`Timestamp` `getTimestamp(Calendar cal)`
`boolean` `isNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLValueObject

    public MySQLValueObject(byte[] rawBytes,
                            MySQLColumnInformation columnInfo,
                            Options options)

#### MySQLValueObject

    public MySQLValueObject(byte[] rawBytes,
                            MySQLColumnInformation columnInfo,
                            boolean isBinaryEncoded,
                            Options options)

### Method Detail

#### getString

    public String getString()

Specified by:
  `getString` in interface `ValueObject`

#### getString

    public String getString(Calendar cal)

Specified by:
  `getString` in interface `ValueObject`

#### getByte

    public byte getByte()

Specified by:
  `getByte` in interface `ValueObject`

#### getShort

    public short getShort()

Specified by:
  `getShort` in interface `ValueObject`

#### getInt

    public int getInt()

Specified by:
  `getInt` in interface `ValueObject`

#### getLong

    public long getLong()

Specified by:
  `getLong` in interface `ValueObject`

#### getFloat

    public float getFloat()

Specified by:
  `getFloat` in interface `ValueObject`

#### getDouble

    public double getDouble()

Specified by:
  `getDouble` in interface `ValueObject`

#### getBigDecimal

    public BigDecimal getBigDecimal()

Specified by:
  `getBigDecimal` in interface `ValueObject`

#### getBytes

    public byte[] getBytes()

Specified by:
  `getBytes` in interface `ValueObject`

#### getBigInteger

    public BigInteger getBigInteger()

Specified by:
  `getBigInteger` in interface `ValueObject`

#### getDate

    public Date getDate(Calendar cal)
                 throws ParseException

Specified by:
  `getDate` in interface `ValueObject`
Throws:
  `ParseException`

#### getTime

    public Time getTime(Calendar cal)
                 throws ParseException

Specified by:
  `getTime` in interface `ValueObject`
Throws:
  `ParseException`

#### getTimestamp

    public Timestamp getTimestamp(Calendar cal)
                           throws ParseException

Specified by:
  `getTimestamp` in interface `ValueObject`
Throws:
  `ParseException`

#### getInputStream

    public InputStream getInputStream()

Specified by:
  `getInputStream` in interface `ValueObject`

#### getBinaryInputStream

    public InputStream getBinaryInputStream()

Specified by:
  `getBinaryInputStream` in interface `ValueObject`

#### getBoolean

    public boolean getBoolean()

Specified by:
  `getBoolean` in interface `ValueObject`

#### isNull

    public boolean isNull()

Specified by:
  `isNull` in interface `ValueObject`

#### getDisplayLength

    public int getDisplayLength()

Specified by:
  `getDisplayLength` in interface `ValueObject`

#### getBlob

    public Blob getBlob()

Specified by:
  `getBlob` in interface `ValueObject`

#### getClob

    public Clob getClob()

Specified by:
  `getClob` in interface `ValueObject`

#### getObject

    public Object getObject(int datatypeMappingFlags,
                            Calendar cal)
                     throws ParseException

Specified by:
  `getObject` in interface `ValueObject`
Throws:
  `ParseException`